/*
Copyright (C) 2009 Marco Michelino <michelinux@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CLOUD_H
#define CLOUD_H

/* if you set this to 0, this module does nothing */
extern int use_clouds;

/* inizialization for this module */
void init_clouds();

/* if number of clouds < MAX_CLOUDS, create a new cloud */
int new_cloud(int x);

/* draw all clouds if level == 0
   draw background clouds if level == 1 */
void draw_background_clouds();

/* draw all clouds if level == 2
   draw foreground clouds if level == 1 */
void draw_foreground_clouds();

/* let the wind blow */
void move_clouds();

#endif

