/*
Copyright (C) 2009 Marco Michelino <michelinux@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "explosion.h"

#ifndef PLAYER_H
#define PLAYER_H

#define MAX_PLAYERS 4

#define PLAYER_HEIGHT 20

#define PLAYER_Y (SCREEN_HEIGHT - PLAYER_HEIGHT - VERTICAL_BORDER)

/* player life cycle */
#define INACTIVE_PLAYER  0
#define MISSING_WIIMOTE  1
#define MISSING_NUNCHUK  2
#define ALIVE_PLAYER     3
#define EXPLODING_PLAYER 4
/* ... */
#define EXPLODED_PLAYER  (4 + EXPLOSION_IMAGES * EXPLOSION_IMAGE_REPEAT)
#define DEAD_PLAYER      (EXPLODED_PLAYER + 1)

extern int player_status[MAX_PLAYERS];

extern int player_x[MAX_PLAYERS];

/* player width depends on game level */
extern int player_width;

extern unsigned int player_color[MAX_PLAYERS];

/* set this to 0 for nunchuk, 1 for balance board */
extern int use_balance_board;

/* inizialization for this module */
void init_players();

/* let the players go around */
void move_players();

/* draw all alive and exploding players */
void draw_players();

/* return number of players killed by missile at (x,y) */
int hit_players(const int x, const int y);

/* return number of alive players */
int alive_players();

/* return number of active players */
int active_players();

#endif
