/*
Copyright (C) 2009 Marco Michelino <michelinux@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <wiiuse/wpad.h>

#ifndef SAUCER_H
#define SAUCER_H

#define SAUCER_WIDTH  60
#define SAUCER_HEIGHT 20

#define COLORS_NUMBER 4

/* inizialization for this module */
void init_saucers();

/* let the saucers fly */
void move_saucers();

/* crate a new saucer if they are less than MAX_SAUCERS and if enough time has
   passed since previous saucer was created */
int new_saucer();

/* draw active and exploding saucers according to their state */
void draw_saucers();

/* returns number of saucers killed by shoot at cursor position */
int hit_saucers(const WPADData *wd);

/* draw a saucer image at (x, y) */
void draw_active_saucer(int x, int y, int color);

#endif

