/*
Copyright (C) 2009 Marco Michelino <michelinux@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <grrlib.h>
#include "main.h"
#include "cursor.h"
#include "player.h"
#include "cursor_png.h"

#define CURSOR_WIDTH  40
#define CURSOR_HEIGHT 40

static GRRLIB_texImg *cursor_image= NULL;

/* draw player's crosshairs */
void draw_cursors(WPADData *wd[]) {
  int i;
  if (cursor_image) {
    for (i= 0; i < MAX_PLAYERS; i++) {
      if (wd[i]) {
        if (wd[i]->ir.valid) {
          GRRLIB_DrawImg(wd[i]->ir.x - CURSOR_WIDTH / 2, wd[i]->ir.y - CURSOR_HEIGHT / 2, cursor_image, 0, 1, 1, player_color[i]);
        }
      }
    }
  }
}

/* inizialization for this module */
void init_cursor() {
  WPAD_Init();
  WPAD_SetDataFormat(0, WPAD_FMT_BTNS_ACC_IR);
  WPAD_SetVRes(0, SCREEN_WIDTH, SCREEN_HEIGHT);

  if (!cursor_image) {
    cursor_image= GRRLIB_LoadTexture(cursor_png);
  }
}

