/*
Copyright (C) 2009 Marco Michelino <michelinux@gmail.com>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <asndlib.h>
#include <grrlib.h>
#include "main.h"
#include "explosion.h"
#include "explosion1.h"
#include "explosion2.h"
#include "explosion_snd.h"

#define EXPLOSION_WIDTH 64
#define EXPLOSION_HEIGHT 64

/* an explosion is bigger than the exploding object */
#define EXPLOSION_BORDER 10.0

static GRRLIB_texImg *explosion_images[EXPLOSION_IMAGES];

/* draws an esplosion surrounding the object at given coords */
void draw_explosion(int x, int y, int width, int height, int image) {
  if (image < EXPLOSION_IMAGES && explosion_images[image]) {
    f32 w= (width + 2 * EXPLOSION_BORDER) / EXPLOSION_WIDTH;
    f32 h= (height + 2 * EXPLOSION_BORDER) / EXPLOSION_HEIGHT;
    GRRLIB_DrawImg(x - EXPLOSION_BORDER, y - EXPLOSION_BORDER, explosion_images[image], 0, w, h, WHITE);
  }
}

/* inizialization for this module */
void init_explosion() {
  explosion_images[0]= GRRLIB_LoadTexture(explosion1);
  explosion_images[1]= GRRLIB_LoadTexture(explosion2);
}

/* make sort of explosion sound */
void play_explosion() {
  if (use_sounds) {
    ASND_SetVoice(SND_GetFirstUnusedVoice(), VOICE_MONO_8BIT, 22050, 0, (char *) explosion_snd, explosion_snd_size, MAX_VOLUME, MAX_VOLUME, NULL);
  }
}

